//************************************************
// MinsteTall.java
//
// INF100, ving 4, oppgave 3.5 
// Flytt minste tall til frste posisjon i en tabell
//************************************************

/**
 *
 * <p>Programmet leser inn ti heltall og finner posisjonen til det
 * minste tallet i tabellen.
 * <p>Dersom det minste tallet ikke befinner seg i posisjon 0 i tabellen
 * bytter tallet i posisjon null og det minste tallet plass.
 * <p>Tabellen blir s skrevet ut igjen.
 *
 * <p>NB: Programmet tar ikke hensyn til at flere tall kan vre det
 *  minste tallet.
 */

public class MinsteTall 
{
  public static void main(String[] args) 
  {

    //Deklarerer og eventuelt initialiserer tabellen og variablene

    int[] tabell = new int[10];
    int min_ind=0; // posisjonen til minste tallet
    
    //Opplysning til brukeren.
    System.out.println("Skriv inn ti heltall:");
   
    //Lkke for  lese inn ti heltall
    for(int i=0;i<10;i++) 
    {
      tabell[i] = Terminal.lesInt();
    }

    //lkke for  finne indexen til det minste tallet
    for(int i=1;i<10;i++) 
    {
      if(tabell[i]<tabell[min_ind])
        min_ind=i;
    }

    //Skriver ut minste tallet og posisjonen min_ind 
    System.out.println("\nDet minste tallet er " + tabell[min_ind] + " og finnes i posisjon "
                       + min_ind + " i tabellen.");
    System.out.println("(Vi begynner  telle p 0.)" );

    //sjekker om minste tallet er frst i tabellen, dersom ikke bytt
    //om slik at det minste tallet i tabellen n fr posisjon 0 og tallet
    //som tidligere var i posisjon null n er der det minste tallet var.

    if( min_ind != 0 ) 
    {
      int tmp = tabell[0];
      tabell[0] = tabell[min_ind];
      tabell[min_ind] = tmp;
      System.out.println("\nTallet i posisjon 0 i tabellen er byttet ut med"
                       + " tallet i posisjon " + min_ind + ".");
    }

    //Skriver ut tabellen
    System.out.println("\nTabellen ser slik ut:\n");

    for(int i=0;i<10;i++) 
    {
      System.out.print(tabell[i] + " ");
    }

    System.out.println("");

  }
}
