//****************************************************************
// FlerdimensjonaleTabeller2.java
//
// INF100, ving 4, oppgave 3.6 og 3.7
// Eksempel p bruk av todimensjonale tabeller 
//*****************************************************************
public class FlerdimensjonaleTabeller2 {

    public static void main(String[] args) {
        int[][] ukeTabell = new int[3][7]; // Deklarasjon og opprettelse.
	int[] mobilSum = new int[3];  // Ny tabell for  ta vare p totalt antall meldinger pr mobil
	int[] dagSum = new int[7];  // Ny tabell for  ta vare p totalt antall meldinger pr dag

        // Ber bruker om  skrive inn data til tabellen.
        // Variabel for  ta vare p innlest verdi fra terminal
        int innlestTall;
        for(int mobilIndeks = 0; mobilIndeks < ukeTabell.length; mobilIndeks++) {
        	System.out.println("Skriv inn hvor mange meldinger" +
        						" som har blitt sendt fra telefon " +
        						"med indeks " + mobilIndeks);
        	for (int dagIndeks = 0; dagIndeks < ukeTabell[mobilIndeks].length; dagIndeks++) {
        		System.out.print("  Dag " + dagIndeks + ": ");
        		innlestTall = Terminal.lesInt();
        		// Test for at det er skrevet inn et positivt tall.
        		while( innlestTall < 0) {
        			System.out.println("Antall meldinger kan ikke vre negativt!");
        			System.out.print("Prv igjen! Antall meldinger p dag "
        							 + dagIndeks + ": ");
        		innlestTall = Terminal.lesInt();
        		}
        		ukeTabell[mobilIndeks][dagIndeks] = innlestTall;
        	}
        }

	// Beregn sum meldinger pr mobil og pr dag
	// Merk at alle tabellelementene ble automatisk initialisert til 0 ved opprettelse!
        for (int mobilIndeks = 0; mobilIndeks < ukeTabell.length; mobilIndeks++){
        	for (int dagIndeks = 0; dagIndeks < ukeTabell[mobilIndeks].length; dagIndeks++) {
        		// Beregner hvor mange meldinger som er sendt
        		// fra denne mobilen hele uken
        		mobilSum[mobilIndeks] += ukeTabell[mobilIndeks][dagIndeks];
        		// Beregner hvor mange meldinger som er sendt
        		// fra alle mobilene denne dagen.
        		dagSum[dagIndeks] += ukeTabell[mobilIndeks][dagIndeks];
        	}
        }

        System.out.println();

        // Skriv ut opplysninger i tabellform
        System.out.print("Dag nr.     ");
        for (int dagIndeks = 0; dagIndeks < ukeTabell[0].length; dagIndeks++){
        	System.out.print("\t" + dagIndeks);
        }
        System.out.println("\tSum(mob)");
        for (int mobilIndeks = 0; mobilIndeks < ukeTabell.length; mobilIndeks++) {
	    System.out.print("Mobil indeks " + mobilIndeks + ":");
            for (int dagIndeks = 0; dagIndeks < ukeTabell[mobilIndeks].length; dagIndeks++) {
               		 System.out.print("\t"+ukeTabell[mobilIndeks][dagIndeks]);
            }
	    System.out.println("\t"+mobilSum[mobilIndeks]);  // sum for hver mobil
        }
	// Siste linje inneholder sum antall meldinger for hver dag
	System.out.print("Sum(dag):");
	for (int dagIndeks = 0; dagIndeks < dagSum.length; dagIndeks++) {
	    System.out.print("\t"+dagSum[dagIndeks]);
	}
	System.out.println();
    }
}


